-- get the latest incarnation of the last version created
-- all the versions of creation tags history are stored in the version table
SET ECHO OFF NEWP 0 SPA 0 PAGES 0 FEED OFF HEAD OFF TRIMS ON
WHENEVER SQLERROR exit failure;
SELECT * FROM (
SELECT (MAX(version_tag) KEEP (DENSE_RANK LAST ORDER BY creation)) ver, MAX(creation) creation  FROM FM_SCHEMA_VERSION
)
WHERE ver <> (' ');

EXIT success;
