CREATE OR REPLACE 
PACKAGE BODY catalog_admin AS

procedure analyze 
as

begin

execute immediate 'analyze table fc_file estimate statistics sample 1 percent for table for all indexes for all indexed columns';
execute immediate 'analyze table perm_principal_defaults estimate statistics sample 100 percent for table for all indexes for all indexed columns' ;
execute immediate 'analyze table perm_principal estimate statistics sample 100 percent for table for all indexes for all indexed columns' ;
execute immediate 'analyze table perm_acl_permission estimate statistics sample 1 percent for table for all indexes for all indexed columns';
execute immediate 'analyze table perm_basic_permission estimate statistics sample 1 percent for table for all indexes for all indexed columns';
execute immediate 'analyze table rc_replica estimate statistics sample 1 percent for table for all indexes for all indexed columns';
execute immediate 'analyze table rc_surl estimate statistics sample 1 percent for table for all indexes for all indexed columns' ;
execute immediate 'analyze index idx_uq_surlse estimate statistics sample 1 percent for table for all indexes for all indexed columns' ;

end;

PROCEDURE setJobAnalyze
AS
	l_job number;
BEGIN
   

   dbms_job.submit( l_job, 
                    'catalog_admin.analyze;',
                    trunc(sysdate)+1+3/24,
                    'trunc(sysdate)+1+3/24' );


END;

END;